Skip to content
Ask AI

Igmp-Mld-Snooping-Netconf

YANG Pathget/get-configedit-configrpc
/igmp-mld-snoopingYmerge, replace, create, delete—
/igmp-mld-snooping/globalYmerge, replace, create, delete—
/igmp-mld-snooping/groups/{vlan}/{dst-ip}/{src-ip}Ymerge, replace, create, delete—
/igmp-mld-snooping/groups/{vlan}/{dst-ip}/{src-ip}/output-interfaces
/{interface}/{uvlan}
Ymerge, replace, create, delete—
/show-igmp-mld-snooping-group——Y
/show-igmp-snooping——Y
/show-igmp-snooping-mrouter——Y
/show-igmp-snooping-mvlan——Y
/show-mld-snooping——Y
/show-mld-snooping-mrouter——Y
/show-mld-snooping-mvlan——Y
/vlans/{vlanid}/igmp-mld-snoopingYmerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/group-limits/{interface}Ymerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/igmp-snoopingYmerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/igmp-snooping/mrouterYmerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/igmp-snooping/mrouter/mrouter-interfaces
/{interface}
Ymerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/igmp-snooping/mvlanYmerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/igmp-snooping/snoopingYmerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/mld-snoopingYmerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/mld-snooping/mrouterYmerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/mld-snooping/mrouter/mrouter-interfaces
/{interface}
Ymerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/mld-snooping/mvlanYmerge, replace, create, delete—
/vlans/{vlanid}/igmp-mld-snooping/mld-snooping/snoopingYmerge, replace, create, delete—

This chapter provides examples on how to use Netconf to manage igmp-mld-snoopig configurations on AsterNOS devices.

Igmp-mld snooping and mvlan can take effect only when the global enable is true.

Request example to enable mcast-snooping via edit-config.

<config>
<top>
<igmp-mld-snooping>
<global operation="merge">
<enabled>true</enabled>
</global>
</igmp-mld-snooping>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:54ef1dfb-ca04-4f75-832c-6eb45c9258d5">
<ok/>
</rpc-reply>

Request example to disable mcast-snooping via edit-config.

<config>
<top>
<igmp-mld-snooping>
<global operation="merge">
<enabled>false</enabled>
</global>
</igmp-mld-snooping>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:54ef1dfb-ca04-4f75-832c-6eb45c9258d5">
<ok/>
</rpc-reply>

Other parameters can only be configured when enable is true. igmp/mld proxy and igmp/mld querier can’t be enabled together.

Request example to enable igmp snooping and querier for vlan 100 via edit-config.

<config>
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<igmp-snooping>
<snooping>
<enable>true</enable>
<fast-leave>true</fast-leave>
<proxy-enable>false</proxy-enable>
<querier-enable>true</querier-enable>
<querier-ip>3.4.5.6</querier-ip>
<version>v2</version>
<query-interval>100</query-interval>
<query-max-response-time>3</query-max-response-time>
<robustness>2</robustness>
<last-member-query-interval>100</last-member-query-interval>
</snooping>
</igmp-snooping>
<mld-snooping>
<snooping>
<enable>true</enable>
<fast-leave>true</fast-leave>
<proxy-enable>false</proxy-enable>
<querier-enable>true</querier-enable>
<querier-ip>3000::1</querier-ip>
<version>v2</version>
<query-interval>100</query-interval>
<query-max-response-time>3</query-max-response-time>
<robustness>2</robustness>
<last-member-query-interval>100</last-member-query-interval>
</snooping>
</mld-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:5e585d5e-5c86-4b0a-b5c4-ec74fe4a8e11">
<ok/>
</rpc-reply>

Request example to get igmp-mld snooping configurations of vlan 100 via edit-config.

<filter type="subtree">
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:8b748c6c-4588-48a9-8475-1dc4e8b3dd39">
<data>
<top>
<vlans xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<igmp-snooping>
<snooping>
<enable>true</enable>
<fast-leave>true</fast-leave>
<proxy-enable>false</proxy-enable>
<querier-enable>true</querier-enable>
<querier-ip>3.4.5.6</querier-ip>
<version>v2</version>
<query-interval>100</query-interval>
<query-max-response-time>3</query-max-response-time>
<robustness>2</robustness>
<last-member-query-interval>100</last-member-query-interval>
</snooping>
<mrouter>
<mrouter-aging>180</mrouter-aging>
</mrouter>
</igmp-snooping>
<mld-snooping>
<snooping>
<enable>true</enable>
<fast-leave>true</fast-leave>
<proxy-enable>false</proxy-enable>
<querier-enable>true</querier-enable>
<querier-ip>3000::1</querier-ip>
<version>v2</version>
<query-interval>100</query-interval>
<query-max-response-time>3</query-max-response-time>
<robustness>2</robustness>
<last-member-query-interval>100</last-member-query-interval>
</snooping>
<mrouter>
<mrouter-aging>180</mrouter-aging>
</mrouter>
</mld-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</data>
</rpc-reply>

Request example to delete igmp-mld snooping of vlan 100 via edit-config.

<config>
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping operation="delete">
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:6848e0d6-1efa-4299-93dc-ec1419a35e58">
<ok/>
</rpc-reply>

Create Static Mrouter Interface And Set Mrouter Aging Of VLAN

Section titled “Create Static Mrouter Interface And Set Mrouter Aging Of VLAN”

Mrouter interface can it truly take effect only when be added to corresponding VLAN. The default mrouter aging time is 180 s.

Request example to create static mrouter interface of vlan 100 via edit-config.

<config>
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<igmp-snooping>
<mrouter>
<mrouter-interfaces>
<mrouter-interface>
<interface>Ethernet1</interface>
<type>static</type>
</mrouter-interface>
<mrouter-interface>
<interface>Ethernet2</interface>
<type>static</type>
</mrouter-interface>
</mrouter-interfaces>
<mrouter-aging>500</mrouter-aging>
</mrouter>
</igmp-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:fe960fc9-0761-41cd-bc71-db6669027d4b">
<ok/>
</rpc-reply>

Currently, only static mrouter interfaces can be obtained.

Request example to get mrouter Information of vlan 100 via get-config.

<filter type="subtree">
<top xmlns="http://asterfusion.com/ns/yang/asternos-interfaces">
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<igmp-snooping>
<mrouter>
</mrouter>
</igmp-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:22f3d443-9e0d-4a9c-9e79-58501d7dbbcd">
<data>
<top>
<vlans xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<igmp-snooping>
<mrouter>
<mrouter-aging>500</mrouter-aging>
<mrouter-interfaces>
<mrouter-interface>
<interface>Ethernet1</interface>
<type>static</type>
</mrouter-interface>
<mrouter-interface>
<interface>Ethernet2</interface>
<type>static</type>
</mrouter-interface>
</mrouter-interfaces>
</mrouter>
</igmp-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</data>
</rpc-reply>

Request example to delete the specified static mrouter interface of vlan 100 via edit-config.

<config>
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<igmp-snooping>
<mrouter>
<mrouter-interfaces>
<mrouter-interface operation="delete">
<interface>Ethernet1</interface>
</mrouter-interface>
</mrouter-interfaces>
</mrouter>
</igmp-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:68c1536f-e73f-4314-9488-8f4833e286d8">
<ok/>
</rpc-reply>

Request example to set multicast group limit of interface 1 on vlan 100 via edit-config.

<config>
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<group-limits>
<group-limit>
<interface>Ethernet1</interface>
<max-group>10</max-group>
</group-limit>
</group-limits>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:68c1536f-e73f-4314-9488-8f4833e286d8">
<ok/>
</rpc-reply>

Currently does not support configuring source ip(except 0.0.0.0 or 0::0) when creating static multicast group. Static multicast group only support include mode.

Request example to create l2 static multicast group via edit-config.

<config>
<top>
<igmp-mld-snooping operation="create">
<groups>
<group>
<vlan>100</vlan>
<dst-ip>224.1.1.1</dst-ip>
<src-ip>0.0.0.0</src-ip>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
</output-interface>
</output-interfaces>
</group>
<group>
<vlan>100</vlan>
<dst-ip>ff1e::1:1:1:1</dst-ip>
<src-ip>0::0</src-ip>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
</output-interface>
</output-interfaces>
</group>
</groups>
</igmp-mld-snooping>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:9cd62d4f-8f9d-4ee3-a256-bc08e9bf9739">
<ok/>
</rpc-reply>

Currently, only static multicast group can be obtained.

Request example to get all static multicast group via get-config.

<filter type="subtree">
<top>
<igmp-mld-snooping>
<groups/>
</igmp-mld-snooping>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:a54d56ff-7560-4bc5-a4e7-d530def7ecc6">
<data>
<top>
<igmp-mld-snooping xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<groups>
<group>
<dst-ip>224.1.1.1</dst-ip>
<src-ip>0.0.0.0</src-ip>
<vlan>100</vlan>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
</output-interface>
</output-interfaces>
</group>
<group>
<dst-ip>ff1e::1:1:1:1</dst-ip>
<src-ip>::</src-ip>
<vlan>100</vlan>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
</output-interface>
</output-interfaces>
</group>
</groups>
</igmp-mld-snooping>
</top>
</data>
</rpc-reply>

Request example to delete specified l2 static multicast group edit-config.

<config>
<top>
<igmp-mld-snooping>
<groups>
<group operation="delete">
<vlan>100</vlan>
<dst-ip>224.1.1.1</dst-ip>
<src-ip>0.0.0.0</src-ip>
</group>
</groups>
</igmp-mld-snooping>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:83141dab-051a-409a-a26c-bcb0c05744ac">
<ok/>
</rpc-reply>

Request example to delete all l2 static multicast group edit-config.

<config>
<top>
<igmp-mld-snooping>
<groups operation="delete">
</groups>
</igmp-mld-snooping>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:26504b77-d5a4-42ab-8090-0c15d9709e89">
<ok/>
</rpc-reply>

Request example to create mld-snooping mvlan 100 with user vlan 101/102/103/105 edit-config.

<config>
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<mld-snooping>
<mvlan operation="create">
<user-vlans>101</user-vlans>
<user-vlans>102</user-vlans>
<user-vlans>103</user-vlans>
<user-vlans>105</user-vlans>
</mvlan>
</mld-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:26504b77-d5a4-42ab-8090-0c15d9709e89">
<ok/>
</rpc-reply>

Request example to get mld-snooping mvlan 100 via edit-config.

<filter type="subtree">
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<mld-snooping>
<mvlan>
</mvlan>
</mld-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</filter>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:f12a2ec3-2b83-47ee-901b-216636be2598">
<data>
<top>
<vlans xmlns="http://asterfusion.com/ns/yang/asternos-vlan">
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<mld-snooping>
<mvlan>
<user-vlans>101</user-vlans>
<user-vlans>102</user-vlans>
<user-vlans>103</user-vlans>
<user-vlans>105</user-vlans>
</mvlan>
</mld-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</data>
</rpc-reply>

Request example to modify mld-snooping mvlan 100 via edit-config.

<config>
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<mld-snooping>
<mvlan operation="replace">
<user-vlans>101</user-vlans>
<user-vlans>102</user-vlans>
</mvlan>
</mld-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:26504b77-d5a4-42ab-8090-0c15d9709e89">
<ok/>
</rpc-reply>

Request example to delete mld-snooping mvlan 100 via edit-config.

<config>
<top>
<vlans>
<vlan>
<vlanid>100</vlanid>
<igmp-mld-snooping>
<mld-snooping>
<mvlan operation="delete">
</mvlan>
</mld-snooping>
</igmp-mld-snooping>
</vlan>
</vlans>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:7e3584b4-66d6-40d3-afc7-462cc05b6c28">
<ok/>
</rpc-reply>

All effective multicast table entries will be displayed, including static and dynamic table entries.

Request example to show multicast group of vlan 100 via rpc show-igmp-mld-snooping-group.

<show-igmp-mld-snooping-group>
<vlan>100</vlan>
</show-igmp-mld-snooping-group>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:d1ee0e18-fb26-47aa-942c-10e20b338d32">
<data xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<groups>
<group>
<dst-ip>224.1.1.1</dst-ip>
<src-ip>0.0.0.0</src-ip>
<vlan>100</vlan>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
<mode>include</mode>
<type>static</type>
</output-interface>
</output-interfaces>
</group>
<group>
<dst-ip>224.1.1.2</dst-ip>
<src-ip>0.0.0.0</src-ip>
<vlan>100</vlan>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
<mode>include</mode>
<type>dynamic</type>
</output-interface>
</output-interfaces>
</group>
<group>
<dst-ip>ff1e::1:1:1:1</dst-ip>
<src-ip>::</src-ip>
<vlan>100</vlan>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
<mode>include</mode>
<type>static</type>
</output-interface>
</output-interfaces>
</group>
</groups>
</data>
</rpc-reply>

Request example to show multicast group of all vlan via rpc show-igmp-mld-snooping-group.

<show-igmp-mld-snooping-group/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:7b1acc26-2ba2-47a2-9a42-b17109934994">
<data xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<groups>
<group>
<dst-ip>224.1.1.1</dst-ip>
<src-ip>0.0.0.0</src-ip>
<vlan>100</vlan>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
<mode>include</mode>
<type>static</type>
</output-interface>
</output-interfaces>
</group>
<group>
<dst-ip>224.1.1.2</dst-ip>
<src-ip>0.0.0.0</src-ip>
<vlan>100</vlan>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
<mode>include</mode>
<type>dynamic</type>
</output-interface>
</output-interfaces>
</group>
<group>
<dst-ip>ff1e::1:1:1:1</dst-ip>
<src-ip>::</src-ip>
<vlan>100</vlan>
<output-interfaces>
<output-interface>
<interface>Ethernet1</interface>
<uvlan>100</uvlan>
<mode>include</mode>
<type>static</type>
</output-interface>
</output-interfaces>
</group>
</groups>
</data>
</rpc-reply>

Request example to show igmp snooping configurations of vlan 100 via rpc show-igmp-snooping.

<show-igmp-snooping>
<vlan>100</vlan>
</show-igmp-snooping>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:cb5fd1a1-bac8-493d-b701-8bf1203d7682">
<data xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<snooping>
<vlan>100</vlan>
<enable>true</enable>
<fast-leave>false</fast-leave>
<proxy-enable>false</proxy-enable>
<querier-enable>false</querier-enable>
<querier-ip>0.0.0.0</querier-ip>
<version>v2</version>
<robustness>2</robustness>
<last-member-query-interval>1000</last-member-query-interval>
</snooping>
</data>
</rpc-reply>

Request example to show mld snooping configurations of vlan 100 via rpc show-mld-snooping.

<show-mld-snooping>
<vlan>100</vlan>
</show-mld-snooping>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:99ce6690-729b-4c9c-9c4a-cfa604cd5e7d">
<data xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<snooping>
<vlan>100</vlan>
<enable>true</enable>
<fast-leave>false</fast-leave>
<proxy-enable>false</proxy-enable>
<querier-enable>false</querier-enable>
<querier-ip>::</querier-ip>
<version>v1</version>
<robustness>2</robustness>
<last-member-query-interval>1000</last-member-query-interval>
</snooping>
</data>
</rpc-reply>

Request example to show igmp snooping mvlan configurations via rpc show-igmp-snooping-mvlan.

<show-igmp-snooping-mvlan/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:b9494ffe-cee8-42be-8803-688ab45b1558">
<data xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<mvlan>
<vlan>100</vlan>
<user-vlans>101</user-vlans>
<user-vlans>102</user-vlans>
</mvlan>
</data>
</rpc-reply>

Request example to show mld snooping mvlan configurations via rpc mvlan.

<show-mld-snooping-mvlan/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:3e16b1a4-3cff-4e0f-9593-c82cc37e5cb8">
<data xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<mvlan>
<vlan>100</vlan>
<user-vlans>101</user-vlans>
<user-vlans>102</user-vlans>
</mvlan>
</data>
</rpc-reply>

Request example to show igmp mrouter information via rpc show-igmp-snooping-mrouter.

All effective igmp mrouter will be displayed, including static and dynamic mrouter.

<show-igmp-snooping-mrouter/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:031611b1-bd1c-4507-8ad6-4995b65525a4">
<data xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<mrouter>
<vlan>100</vlan>
<aging>500</aging>
<interfaces>
<interface>Ethernet1</interface>
<type>static</type>
</interfaces>
<interfaces>
<interface>Ethernet3</interface>
<type>dynamic</type>
</interfaces>
</mrouter>
</data>
</rpc-reply>

Request example to show mld mrouter information via rpc show-mld-snooping-mrouter.

All effective mld mrouter will be displayed, including static and dynamic mrouter.

<show-mld-snooping-mrouter/>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:27741f46-c77a-4091-97e5-e86eab4984ae">
<data xmlns="http://asterfusion.com/ns/yang/asternos-igmp-mld-snooping">
<mrouter>
<vlan>100</vlan>
<aging>180</aging>
<interfaces>
<interface>Ethernet1</interface>
<type>static</type>
</interfaces>
<interfaces>
<interface>Ethernet3</interface>
<type>dynamic</type>
</interfaces>
</mrouter>
</data>
</rpc-reply>

Tree Diagram

module: asternos-igmp-mld-snooping
+--rw igmp-mld-snooping
+--rw global
| +--rw enabled? boolean
+--rw groups
+--rw group* [vlan dst-ip src-ip]
+--rw dst-ip inet:ip-address-no-zone
+--rw src-ip inet:ip-address-no-zone
+--rw vlan cmn:vlan-id
+--rw output-interfaces
+--rw output-interface* [interface uvlan]
+--rw interface union
+--rw uvlan cmn:vlan-id
+--rw mode? enumeration
+--ro type? enumeration
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Table of Properties

NameRequiredType/RangeDescription
igmp-mld-snoopingMPath-only node, has no configurable value.
Config the igmp-snooping and mld-snooping function of the system.
globalMPath-only node, has no configurable value.
enabledO”true"
"false”
Enable l2 multicast functionality on system level.

The multicast container is disabled by default. If the device needs to forward and learn multicast data, this must be enabled.
Default value: False
groupsMPath-only node, has no configurable value.
The group of snooping multicast.
groupMPath-only node, has no configurable value.
The list of l2 snooping multicast groups.
dst-ipMinet:ip-address-no-zoneThe destination group address.
src-ipMinet:ip-address-no-zoneThe source group address.

If the src-ip is 0.0.0.0 or 0::0, this static group is (*,G) group, otherwise this static group is (G,S) group.
vlanMcmn:vlan-idThe vlan id of the multicast group.
output-interfacesMPath-only node, has no configurable value.
output-interfaceMPath-only node, has no configurable value.
interfaceOEthernet nameThe egress L2 port of the multicast group.
uvlanOcmn:vlan-idThe user vlan id of the output interface.

Currently, the user vlan id need to be the same as the vlan id in parent node.
modeO”include"
"exclude”
The filter mode of the multicast group.

The include mode means that the output interface is included in the multicast group.

The exclude mode means that the output interface is excluded from the multicast group.
typeRO”static"
"dynamic”
The mode of the multicast group.

The static group is configured by user, and the dynamic group is learned by device.
Default value: static

Tree Diagram

module: asternos-igmp-mld-snooping
+--rw igmp-mld-snooping
+--rw global
+--rw enabled? boolean
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Table of Properties

NameRequiredType/RangeDescription
globalMPath-only node, has no configurable value.
enabledO”true"
"false”
Enable l2 multicast functionality on system level.

The multicast container is disabled by default. If the device needs to forward and learn multicast data, this must be enabled.
Default value: False

Tree Diagram

module: asternos-igmp-mld-snooping
+--rw igmp-mld-snooping
+--rw groups
+--rw group* [vlan dst-ip src-ip]
+--rw dst-ip inet:ip-address-no-zone
+--rw src-ip inet:ip-address-no-zone
+--rw vlan cmn:vlan-id
+--rw output-interfaces
+--rw output-interface* [interface uvlan]
+--rw interface union
+--rw uvlan cmn:vlan-id
+--rw mode? enumeration
+--ro type? enumeration
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Table of Properties

NameRequiredType/RangeDescription
groupsMPath-only node, has no configurable value.
The group of snooping multicast.
groupMPath-only node, has no configurable value.
The list of l2 snooping multicast groups.
dst-ipMinet:ip-address-no-zoneThe destination group address.
src-ipMinet:ip-address-no-zoneThe source group address.

If the src-ip is 0.0.0.0 or 0::0, this static group is (*,G) group, otherwise this static group is (G,S) group.
vlanMcmn:vlan-idThe vlan id of the multicast group.
output-interfacesMPath-only node, has no configurable value.
output-interfaceMPath-only node, has no configurable value.
interfaceOEthernet nameThe egress L2 port of the multicast group.
uvlanOcmn:vlan-idThe user vlan id of the output interface.

Currently, the user vlan id need to be the same as the vlan id in parent node.
modeO”include"
"exclude”
The filter mode of the multicast group.

The include mode means that the output interface is included in the multicast group.

The exclude mode means that the output interface is excluded from the multicast group.
typeRO”static"
"dynamic”
The mode of the multicast group.

The static group is configured by user, and the dynamic group is learned by device.
Default value: static

Tree Diagram

module: asternos-igmp-mld-snooping
+--rw igmp-mld-snooping
+--rw groups
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping
rpcs:
+---x show-igmp-mld-snooping-group
+---w input
| +---w vlan? union
| +---w interface? union
+--ro output
+--ro data
+--ro groups
+--ro group* [vlan dst-ip src-ip]
+--ro dst-ip inet:ip-address-no-zone
+--ro src-ip inet:ip-address-no-zone
+--ro vlan cmn:vlan-id
+--ro output-interfaces
+--ro output-interface* [interface uvlan]
+--ro interface union
+--ro uvlan cmn:vlan-id
+--ro mode? enumeration
+--ro type? enumeration

Table of Properties

NameRequiredType/RangeDescription
show-igmp-mld-snooping-groupO
vlanO1..4094The vlan id related to the snooping group.
Default value: all
interfaceOEthernet nameThe interface related to the snooping group.
Default value: all
dataMPath-only node, has no configurable value.
igmp-snooping and mld-snooping multicast groups.
groupsMPath-only node, has no configurable value.
The group of snooping multicast.
groupMPath-only node, has no configurable value.
The list of l2 snooping multicast groups.
dst-ipMinet:ip-address-no-zoneThe destination group address.
src-ipMinet:ip-address-no-zoneThe source group address.

If the src-ip is 0.0.0.0 or 0::0, this static group is (*,G) group, otherwise this static group is (G,S) group.
vlanMcmn:vlan-idThe vlan id of the multicast group.
output-interfacesMPath-only node, has no configurable value.
output-interfaceMPath-only node, has no configurable value.
interfaceOEthernet nameThe egress L2 port of the multicast group.
uvlanOcmn:vlan-idThe user vlan id of the output interface.

Currently, the user vlan id need to be the same as the vlan id in parent node.
modeO”include"
"exclude”
The filter mode of the multicast group.

The include mode means that the output interface is included in the multicast group.

The exclude mode means that the output interface is excluded from the multicast group.
typeRO”static"
"dynamic”
The mode of the multicast group.

The static group is configured by user, and the dynamic group is learned by device.
Default value: static

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping
rpcs:
+---x show-igmp-snooping
+---w input
| +---w vlan? union
+--ro output
+--ro data
+--ro snooping* [vlan]
+--ro vlan cmn:vlan-id
+--ro enable? boolean
+--ro fast-leave? boolean
+--ro proxy-enable? boolean
+--ro querier-enable? boolean
+--ro querier-ip? inet:ip-address
+--ro version? enumeration
+--ro query-interval? uint16
+--ro query-max-response-time? uint16
+--ro robustness? uint8
+--ro last-member-query-interval? uint16

Table of Properties

NameRequiredType/RangeDescription
show-igmp-snoopingO
vlanO1..4094Default value: all
dataMPath-only node, has no configurable value.
snoopingMPath-only node, has no configurable value.
vlanOcmn:vlan-id
enableO”true"
"false”
Enable IGMP or MLD Snooping for the VLAN.
Default value: False
fast-leaveO”true"
"false”
Enable fast leave of multicast groups for member interfaces.

When an IGMP or MLD Leave message from a host is received indicating the host is leaving a multicast group, the device will directly delete the corresponding multicast group forwarding table entry for that host without sending a specific group query message.
Default value: False
proxy-enableO”true"
"false”
The proxy config of snooping.

After enabling the IGMP Snooping Proxy feature, it can replace the router to send IGMP Query messages and receive IGMP Report/Leave messages sent by users, thereby alleviating the pressure on routing devices when there are a large number of terminals in the network.
Default value: False
querier-enableO”true"
"false”
Enable IGMP or MLD querier.

Configuring a querier on the device allows it to replace upstream devices in sending IGMP Query messages. The device will periodically broadcast IGMP Query messages to all interfaces within the VLAN (including router ports).

If an IGMP querier already exists in the multicast network, enabing querier of device may trigger a re-election of the IGMP querier.
Default value: False
querier-ipOinet:ip-addressConfigure the source IP address of the IGMP or MLD Query message.

When there are multiple queriers in the network, the querier selection can be controlled by modifying the source IP address of the device’s query message.
versionO”v1"
"v2"
"v3”
The version of the snooping.

For igmp-snooping, the default version is v2.

For mld-snooping, the default version is v1.
query-intervalO1..18000The interval time between the general query messages sent by the device.
Default value: 125
query-max-response-timeO1..25The maximum response time for query messages.

It should be ensured that the interval time between the querier’s general query messages is greater than the maximum response time for downstream hosts to reply to the querier. Otherwise, it may result in the device mistakenly deleting member entries.
Default value: 10
robustnessO1..255The number of specific group query messages sent by the querier to avoid potential network packet loss.

When an IGMP Leave message for a specific multicast group is received, a configured number of specific group query messages will be sent to inquire whether there are still members in that multicast group.
Default value: 2
last-member-query-intervalO100..25500The interval time for the querier to send specific group query messages.
Default value: 1000

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping
rpcs:
+---x show-igmp-snooping-mrouter
+---w input
| +---w vlan? union
+--ro output
+--ro data
+--ro mrouter* []
+--ro vlan? cmn:vlan-id
+--ro interfaces* []
| +--ro interface? union
| +--ro type? enumeration
+--ro aging? uint16

Table of Properties

NameRequiredType/RangeDescription
show-igmp-snooping-mrouterO
vlanO1..4094Default value: all
dataMPath-only node, has no configurable value.
mrouterMPath-only node, has no configurable value.
vlanOcmn:vlan-idThe vlan id of the multicast group.
interfacesMPath-only node, has no configurable value.
interfaceOEthernet nameConfigure the interface as a static router port for the VLAN.
typeO”static"
"dynamic”
The type of the multicast router.
Default value: static
agingO1..1000The aging time for dynamic router ports within the VLAN.

If no IGMP Query or PIM Hello messages are received within the dynamic router port aging time, the port is considered no longer to belong to a router port.

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping
rpcs:
+---x show-igmp-snooping-mvlan
+---w input
| +---w vlan? union
+--ro output
+--ro data
+--ro mvlan* [vlan]
+--ro vlan cmn:vlan-id
+--ro user-vlans* cmn:vlan-id

Table of Properties

NameRequiredType/RangeDescription
show-igmp-snooping-mvlanO
vlanO1..4094Default value: all
dataMPath-only node, has no configurable value.
mvlanMPath-only node, has no configurable value.
vlanOcmn:vlan-id
user-vlansOcmn:vlan-idThe user vlan of snooping.

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping
rpcs:
+---x show-mld-snooping
+---w input
| +---w vlan? union
+--ro output
+--ro data
+--ro snooping* [vlan]
+--ro vlan cmn:vlan-id
+--ro enable? boolean
+--ro fast-leave? boolean
+--ro proxy-enable? boolean
+--ro querier-enable? boolean
+--ro querier-ip? inet:ip-address
+--ro version? enumeration
+--ro query-interval? uint16
+--ro query-max-response-time? uint16
+--ro robustness? uint8
+--ro last-member-query-interval? uint16

Table of Properties

NameRequiredType/RangeDescription
show-mld-snoopingO
vlanO1..4094Default value: all
dataMPath-only node, has no configurable value.
snoopingMPath-only node, has no configurable value.
vlanOcmn:vlan-id
enableO”true"
"false”
Enable IGMP or MLD Snooping for the VLAN.
Default value: False
fast-leaveO”true"
"false”
Enable fast leave of multicast groups for member interfaces.

When an IGMP or MLD Leave message from a host is received indicating the host is leaving a multicast group, the device will directly delete the corresponding multicast group forwarding table entry for that host without sending a specific group query message.
Default value: False
proxy-enableO”true"
"false”
The proxy config of snooping.

After enabling the IGMP Snooping Proxy feature, it can replace the router to send IGMP Query messages and receive IGMP Report/Leave messages sent by users, thereby alleviating the pressure on routing devices when there are a large number of terminals in the network.
Default value: False
querier-enableO”true"
"false”
Enable IGMP or MLD querier.

Configuring a querier on the device allows it to replace upstream devices in sending IGMP Query messages. The device will periodically broadcast IGMP Query messages to all interfaces within the VLAN (including router ports).

If an IGMP querier already exists in the multicast network, enabing querier of device may trigger a re-election of the IGMP querier.
Default value: False
querier-ipOinet:ip-addressConfigure the source IP address of the IGMP or MLD Query message.

When there are multiple queriers in the network, the querier selection can be controlled by modifying the source IP address of the device’s query message.
versionO”v1"
"v2"
"v3”
The version of the snooping.

For igmp-snooping, the default version is v2.

For mld-snooping, the default version is v1.
query-intervalO1..18000The interval time between the general query messages sent by the device.
Default value: 125
query-max-response-timeO1..25The maximum response time for query messages.

It should be ensured that the interval time between the querier’s general query messages is greater than the maximum response time for downstream hosts to reply to the querier. Otherwise, it may result in the device mistakenly deleting member entries.
Default value: 10
robustnessO1..255The number of specific group query messages sent by the querier to avoid potential network packet loss.

When an IGMP Leave message for a specific multicast group is received, a configured number of specific group query messages will be sent to inquire whether there are still members in that multicast group.
Default value: 2
last-member-query-intervalO100..25500The interval time for the querier to send specific group query messages.
Default value: 1000

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping
rpcs:
+---x show-mld-snooping-mrouter
+---w input
| +---w vlan? union
+--ro output
+--ro data
+--ro mrouter* []
+--ro vlan? cmn:vlan-id
+--ro interfaces* []
| +--ro interface? union
| +--ro type? enumeration
+--ro aging? uint16

Table of Properties

NameRequiredType/RangeDescription
show-mld-snooping-mrouterO
vlanO1..4094Default value: all
dataMPath-only node, has no configurable value.
mrouterMPath-only node, has no configurable value.
vlanOcmn:vlan-idThe vlan id of the multicast group.
interfacesMPath-only node, has no configurable value.
interfaceOEthernet nameConfigure the interface as a static router port for the VLAN.
typeO”static"
"dynamic”
The type of the multicast router.
Default value: static
agingO1..1000The aging time for dynamic router ports within the VLAN.

If no IGMP Query or PIM Hello messages are received within the dynamic router port aging time, the port is considered no longer to belong to a router port.

Tree Diagram

module: asternos-igmp-mld-snooping
augment /vlan:vlans/vlan:vlan:
+--rw igmp-mld-snooping
rpcs:
+---x show-mld-snooping-mvlan
+---w input
| +---w vlan? union
+--ro output
+--ro data
+--ro mvlan* [vlan]
+--ro vlan cmn:vlan-id
+--ro user-vlans* cmn:vlan-id

Table of Properties

NameRequiredType/RangeDescription
show-mld-snooping-mvlanO
vlanO1..4094Default value: all
dataMPath-only node, has no configurable value.
mvlanMPath-only node, has no configurable value.
vlanOcmn:vlan-id
user-vlansOcmn:vlan-idThe user vlan of snooping.